const mysql = require('mysql2');
import type { NextApiResponse } from 'next';

type Pool = {
    name: string
  }


export default function Pool(
    res: NextApiResponse<Pool>
  ) {
    const pool = mysql.createPool({
        host: process.env.HOST,
        user: process.env.DATABASE,
        database: process.env.DATABASE,
        password: process.env.PASSWORD,
        waitForConnections: true,
        connectionLimit: 10,
        queueLimit: 0
    });

    return res;
  }
